Subject: bug#12045: 24.1.50; semantic :: Debugger entered--Lisp error: (wrong-type-argument syntax-table-p nil)

From: Jambunathan K <[email-masked]>
Date: Tue, 07 Aug 2012 13:38:36 +0530

David Engster <[email-masked]> writes:

> Jambunathan K. writes:
>> I am exploring semantic for the first time.
>>
>> 1. runemacs.exe -Q
>> 2. Visit your favorite library.  M-x find-library RET org-odt.el RET
>> 3. M-x semantic-mode RET
>> 4. C-c , j (With cursor on "some" symbol)
>> 5. Note the following error.  Either some interesting thing should
>>    happen or a useful message should be echoed.
>>
>> Debugger entered--Lisp error: (wrong-type-argument syntax-table-p nil)
>
> I'm pretty sure I've fixed this bug some time ago in the upstream CEDET
> version from bzr, so it should get fixed in Emacs proper when we do the
> next merge for Emacs 24.2. If you'd like to test the upstream version,
> read here
>
> http://cedet.sourceforge.net/bzr-repo.shtml
>
> on how to get it.

My original report was on Windows.  The current report is on Debian
Squeeze against CEDET bzr repo.  So, consider this a bug report against
the "future"-CEDET.

When I do "C-c , j" on some symbol, that I know is defined in current
.el file, I get
,----
|     Jump to symbol: org-e-odt-lib-dir [No Match] [5 times]
`----

When I partially type up the symbol and do TAB for completion, I get
,----
|     semantic-analyze-current-context: Cannot analyze buffers not supported
|     by Semantic
`----

If semantic does not support EmacsLisp files [1],
1. It should report an error or warning when the buffer tries to enter
   semantic-mode.

2. Disable menu items (starting with Developement->etc) that doesn't
   apply to current buffer.

Footnotes: 
[1] Or for that matter a given language.

I have the following in my .emacs, as suggested by cedet help.
,----
|     ;; Load CEDET.
|     ;; See cedet/common/cedet.info for configuration details.
|     ;; IMPORTANT: For Emacs >= 23.2, you must place this *before* any
|     ;; CEDET component (including EIEIO) gets activated by another 
|     ;; package (Gnus, auth-source, ...).
|     (load-file "~/src/cedet/cedet-devel-load.el")
| 
|     ;; Add further minor-modes to be enabled by semantic-mode.
|     ;; See doc-string of `semantic-default-submodes' for other things
|     ;; you can use here.
|     (add-to-list 'semantic-default-submodes 'global-semantic-idle-summary-mode t)
|     (add-to-list 'semantic-default-submodes 'global-semantic-idle-completions-mode t)
|     (add-to-list 'semantic-default-submodes 'global-cedet-m3-minor-mode t)
| 
|     ;; Enable Semantic
|     (semantic-mode 1)
| 
|     ;; Enable EDE (Project Management) features
|     (global-ede-mode 1)
`----

> -David